<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Cases',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Cases',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'case_number',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'RestClientOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'url' => array(
                    'id' => 'url',
                                        'value' => '',
                                    ),
                'httpMethod' => array(
                    'id' => 'httpMethod',
                                        'value' => 'POST',
                                    ),
                'headers' => array(
                    'id' => 'headers',
                                        'value' => '',
                                    ),
                'queryParameters' => array(
                    'id' => 'queryParameters',
                                        'value' => '',
                                    ),
                'authentication' => array(
                    'id' => 'authentication',
                                        'value' => '',
                                    ),
                'proxy' => array(
                    'id' => 'proxy',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'response' => array(
                    'id' => 'response',
                                        'value' => '',
                                    ),
                'httpCode' => array(
                    'id' => 'httpCode',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'GetArrayFromStructureOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'number',
                                        'fields1' => 'subject',
                                        'fields2' => 'description',
                                        'fields3' => 'assignedtoid',
                                        'fields4' => 'accountid',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'array' => array(
                    'id' => 'array',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'CreateStructureOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'number',
                                        'fields1' => 'subject',
                                        'fields2' => 'description',
                                        'fields3' => 'assignedtoid',
                                        'fields4' => 'accountid',
                                        ),
                                    ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'number',
                                        'fields1' => 'subject',
                                        'fields2' => 'description',
                                        'fields3' => 'assignedtoid',
                                        'fields4' => 'accountid',
                                        ),
                                    ),
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'StructureSchemaOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'number',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'subject',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'assignedtoid',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'accountid',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'schema' => array(
                    'id' => 'schema',
                                        'value' => array(
                                        'fields0' => 'number',
                                        'fields1' => 'subject',
                                        'fields2' => 'description',
                                        'fields3' => 'assignedtoid',
                                        'fields4' => 'accountid',
                                        ),
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'SetStructureFieldsOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'number',
                                        'fields1' => 'subject',
                                        'fields2' => 'description',
                                        'fields3' => 'assignedtoid',
                                        'fields4' => 'accountid',
                                        ),
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'fields1',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'fields2',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'fields0',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'fields3',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'fields4',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'structure' => array(
                    'id' => 'structure',
                                        'value' => array(
                                        'fields0' => 'number',
                                        'fields1' => 'subject',
                                        'fields2' => 'description',
                                        'fields3' => 'assignedtoid',
                                        'fields4' => 'accountid',
                                        ),
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Notes',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'Notes',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'Notes',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '==external_endpoint_url==',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Notes',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'description',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-3' => array(
            'from' => 'op-7schema',
            'fromOperator' => 'op-7',
            'fromConnector' => 'schema',
            'to' => 'op-6schema',
            'toOperator' => 'op-6',
            'toConnector' => 'schema'
        ),
        'link-4' => array(
            'from' => 'op-6controlFlow',
            'fromOperator' => 'op-6',
            'fromConnector' => 'controlFlow',
            'to' => 'op-8controlFlow',
            'toOperator' => 'op-8',
            'toConnector' => 'controlFlow'
        ),
        'link-7' => array(
            'from' => 'op-6structure',
            'fromOperator' => 'op-6',
            'fromConnector' => 'structure',
            'to' => 'op-8structure',
            'toOperator' => 'op-8',
            'toConnector' => 'structure'
        ),
        'link-12' => array(
            'from' => 'op-8structure',
            'fromOperator' => 'op-8',
            'fromConnector' => 'structure',
            'to' => 'op-5structure',
            'toOperator' => 'op-5',
            'toConnector' => 'structure'
        ),
        'link-13' => array(
            'from' => 'op-5array',
            'fromOperator' => 'op-5',
            'fromConnector' => 'array',
            'to' => 'op-3queryParameters',
            'toOperator' => 'op-3',
            'toConnector' => 'queryParameters'
        ),
        'link-14' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-8fields0',
            'toOperator' => 'op-8',
            'toConnector' => 'fields0'
        ),
        'link-15' => array(
            'from' => 'op-2fields1',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields1',
            'to' => 'op-8fields1',
            'toOperator' => 'op-8',
            'toConnector' => 'fields1'
        ),
        'link-16' => array(
            'from' => 'op-2fields2',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields2',
            'to' => 'op-8fields2',
            'toOperator' => 'op-8',
            'toConnector' => 'fields2'
        ),
        'link-17' => array(
            'from' => 'op-2fields3',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields3',
            'to' => 'op-8fields3',
            'toOperator' => 'op-8',
            'toConnector' => 'fields3'
        ),
        'link-18' => array(
            'from' => 'op-2fields4',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields4',
            'to' => 'op-8fields4',
            'toOperator' => 'op-8',
            'toConnector' => 'fields4'
        ),
        'link-20' => array(
            'from' => 'op-13result',
            'fromOperator' => 'op-13',
            'fromConnector' => 'result',
            'to' => 'op-12fields0',
            'toOperator' => 'op-12',
            'toConnector' => 'fields0'
        ),
        'link-21' => array(
            'from' => 'op-8controlFlow',
            'fromOperator' => 'op-8',
            'fromConnector' => 'controlFlow',
            'to' => 'op-12controlFlow',
            'toOperator' => 'op-12',
            'toConnector' => 'controlFlow'
        ),
        'link-22' => array(
            'from' => 'op-12controlFlow',
            'fromOperator' => 'op-12',
            'fromConnector' => 'controlFlow',
            'to' => 'op-3controlFlow',
            'toOperator' => 'op-3',
            'toConnector' => 'controlFlow'
        ),
        'link-23' => array(
            'from' => 'op-12singleEntity',
            'fromOperator' => 'op-12',
            'fromConnector' => 'singleEntity',
            'to' => 'op-14entity',
            'toOperator' => 'op-14',
            'toConnector' => 'entity'
        ),
        'link-24' => array(
            'from' => 'op-14fields0',
            'fromOperator' => 'op-14',
            'fromConnector' => 'fields0',
            'to' => 'op-3url',
            'toOperator' => 'op-3',
            'toConnector' => 'url'
        ),
        'link-25' => array(
            'from' => 'op-15controlFlowIfTrue',
            'fromOperator' => 'op-15',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-6controlFlow',
            'toOperator' => 'op-6',
            'toConnector' => 'controlFlow'
        ),
        'link-26' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-15controlFlow',
            'toOperator' => 'op-15',
            'toConnector' => 'controlFlow'
        ),
        'link-27' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-15condition',
            'toOperator' => 'op-15',
            'toConnector' => 'condition'
        ),
    )
);
